Cyberduck Mountain Duck CLI

#249 closed defect (fixed)

Timezones Confuse Synchronization

Reported by: brian@… Owned by: dkocher
Priority: normal Milestone: 3.2
Component: core Version: 2.5.5
Severity: major Keywords:
Cc: Architecture:
Platform:

Description

When I upload a directory and am prompted to overwrite files, Cyberduck displays the date/times on the files on the server and on the client in the local timezone. This seems correct. However, if I do a synchronize on the same directory, Cyberduck shows the remote files in GMT and the local files in the local timezone. This causes the synchronization to make bad decisions about which file is newer because the server time is 7 hours (for me) ahead of the client time.

Change History (8)

comment:1 Changed on Mar 3, 2006 at 8:54:39 AM by dkocher

  • Milestone set to 2.6
  • Severity changed from normal to major
  • Status changed from new to assigned

comment:2 Changed on May 17, 2007 at 12:28:03 PM by dkocher

  • Resolution set to duplicate
  • Status changed from assigned to closed

See #434.

comment:3 Changed on Dec 6, 2007 at 9:18:40 PM by dkocher

  • Resolution duplicate deleted
  • Status changed from closed to reopened

Do not treat this as a duplicate. Whereas in the browser view it might be an enhancement to convert to the local timezone, when synchronizing this missing feature is a bug.

comment:4 Changed on Apr 21, 2008 at 10:50:17 PM by dkocher

  • Milestone changed from 3.0 to 3.1

comment:5 Changed on Jul 17, 2008 at 11:14:10 PM by dkocher

  • Milestone changed from 3.0.2 to 3.1

comment:6 Changed on Apr 9, 2009 at 6:12:15 PM by dkocher

We should use MDTM if available that always returns UTC.

comment:7 Changed on Apr 10, 2009 at 7:10:51 PM by dkocher

  • Milestone changed from 3.2 to 3.1.3
  • Resolution set to fixed
  • Status changed from reopened to closed

In r4581.

Note: See TracTickets for help on using tickets.
swiss made software